# HBaseDatabaseArgs Data Model

Holds information for an HBase all database replication.

Properties
name | data type | constraints | description
--- | --- | --- | ---
failedSnapshotTables | array of string |  |
initialSnapshot | boolean | required |
replicationStrategy | HBaseWholeDbReplicationStrategy |  |

Example

    {
      "failedSnapshotTables" : [ "...", "..." ],
      "initialSnapshot" : true,
      "replicationStrategy" : "ALL_TABLES"
    }